Subject: bug#70696: [PATCH] Autoload `re-disassemble'

From: Ihor Radchenko <[email-masked]>
Date: Thu, 02 May 2024 10:27:39 +0000

"Mattias Engdegård" <[email-masked]> writes:

>>  This function is mainly intended for maintenance of Emacs itself
>>  and may change at any time.  It requires Emacs to be built with
>>  `--enable-checking'."
>> 
>> So I'm not sure we want this auto-loaded.
>
> I don't think it's important to auto-load it either.
>
> (Ihor, see it like this: the fact that you want it conveniently accessible means that you are one of a select few who have a reason to use it, and cool enough to add your own local autoload.)

AFAIK, these kinds of helper functions are usually defined in C code and
are available without any requires as long as Emacs is compiled with
right flags. Having to do (require 'disass) was a surprise - I had to
search Emacs sources.

-- 
Ihor Radchenko // yantar92,
Org mode contributor,
Learn more about Org mode at <https://orgmode.org/>.
Support Org development at <https://liberapay.com/org-mode>,
or support my work at <https://liberapay.com/yantar92>